import { RawDraftContentState } from "draft-js";
import { IContext } from "../../Common/IContext";
import { IDesignPanelConfig } from "../../Form/FormDesignConstants";
import { TextMergeBuilderPage } from "./TextMergeBuilderPage";
import { XTextMergeDefinition } from "./XTextMergeDefinition";
export declare class XTextMergeEditContext implements IContext {
    definition: XTextMergeDefinition;
    mode: TextMergeBuilderPage;
    title?: string;
    designConfig?: IDesignPanelConfig;
    runtimeConfig?: IDesignPanelConfig;
    clipboardElement: any;
    lastSelectionElement: any;
    constructor(def: XTextMergeDefinition);
    onTextChange(value: RawDraftContentState): void;
    onUpdate?: (newValue: RawDraftContentState) => void;
    onCopy(id?: string): void;
    onCut(id?: string): void;
    onDelete(id?: string): void;
    onPaste(id?: string): void;
    onSave?: () => void;
    onCancel?: () => void;
}
